<!--
IGAC proyecto SNC
@juan.agudelo

@description pantalla que muestra las fotos de un predio. Hace parte de la ventana de detalles del
    predio.
@version 2.0

-->

<!--
@modified  pedro.garcia  24-04-2012  adición de encabezado con datos del predio
-->

<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        id="consultaRegistroFotograficoPredioForm">
    <p:panel header="Registro fotográfico">


        <h:panelGrid columns="5">
            <h:outputLabel value="Número predial: " for="numPredialId"
                           styleClass="outputLabelStyle" />
            <h:outputText id="numPredialId"
                          value="#{consultaRegistroFotograficoPredio.predioForPhotos.formattedNumeroPredialCompleto}"
                          styleClass="outputTextStyle" />

            <p:spacer width="14" height="0" />
            <h:outputLabel value="NIP: " for="nipId"
                           styleClass="outputLabelStyle" />
            <h:outputText id="nipId"
                          value="#{consultaRegistroFotograficoPredio.predioForPhotos.nip}"
                          styleClass="outputTextStyle" />
        </h:panelGrid>

        <p:spacer height="10" width="0" />

        <p:dataTable value="#{consultaRegistroFotograficoPredio.fotosPredio}"
                     var="foto"
                     emptyMessage="No existen fotografías asociadas al predio.">

            <p:column headerText="Foto">
                <p:commandLink id="fotografia"
                               value="Ver foto"
                               action="#{consultaRegistroFotograficoPredio.cargarImagen}"
                               styleClass="commandLinkStyleInTable"
                               update="@form" >
                    <f:setPropertyActionListener value="#{foto.documento}"
                                                 target="#{consultaRegistroFotograficoPredio.documentoFoto}" />
                </p:commandLink>  
            </p:column>

            <p:column>
                <f:facet name="header">
                    Tipo de <br />
                    fotografía
                </f:facet>
                <h:outputText id="FotoTipoV" value="#{foto.tipo}" >
                    <f:converter converterId="converterCB" for="FotoTipoV" />                    
                </h:outputText>
            </p:column>

            <p:column headerText="Descripción">
                <h:outputText value="#{foto.descripcion}"/>
            </p:column>

            <p:column headerText="Unidad">
                <h:outputText value="#{foto.unidadConstruccion.unidad}" 
                              rendered="#{foto.unidadConstruccion != null}"/>
            </p:column>

            <p:column>
                <f:facet name="header">
                    Fecha de <br /> registro
                </f:facet>
                <h:outputText value="#{foto.fecha}" >
                    <f:convertDateTime pattern="#{general.formatoFecha}" />
                </h:outputText>
            </p:column>

        </p:dataTable>

        <h:panelGrid id="pgf1" columns="1" cellspacing="5">
            <p:graphicImage id="img3" width="800px"
                            value="#{consultaRegistroFotograficoPredio.urlFoto}" />
            <p:spacer height="10" width="40" />

        </h:panelGrid>

    </p:panel>
</h:form>
